Page MenuHomePhabricator

[Clang][OpenMP] Added the support for target data nowait
ClosedPublic

Authored by tianshilei1992 on Oct 24 2020, 9:52 AM.

Details

Summary

Previously we added support for target nowait, but target data nowait
has not been supported yet. In this patch, target data nowait will also be
wrapped into a task.

Diff Detail

Event Timeline

tianshilei1992 created this revision.Oct 24 2020, 9:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 24 2020, 9:52 AM
tianshilei1992 requested review of this revision.Oct 24 2020, 9:52 AM
tianshilei1992 retitled this revision from [Clang][OpenMP] Added the support for target data nowait to [Clang][OpenMP][WIP] Added the support for target data nowait.Oct 24 2020, 9:53 AM
tianshilei1992 removed a reviewer: jdoerfert.

Fixed a major issue and one test case

This revision is now accepted and ready to land.Oct 26 2020, 7:46 PM

Rebased and fixed one test case

Fixed a rebase error

Harbormaster completed remote builds in B76659: Diff 301151.

Fixed a rebase issue

Rebased (again) to involve the reversion of another patch that can cause clang crash

Fixed all failed test cases

tianshilei1992 retitled this revision from [Clang][OpenMP][WIP] Added the support for target data nowait to [Clang][OpenMP] Added the support for target data nowait.Oct 28 2020, 12:52 PM

The two failed test cases should have nothing to do with this patch. Will merge this patch.

This revision was landed with ongoing or failed builds.Oct 28 2020, 12:53 PM
This revision was automatically updated to reflect the committed changes.